@charset "UTF-8";

/* ress v5.0.2 | MIT License | github.com/filipelinhares/ress */
@import "ress.min.css";


:root {
  --tdu-color: #164f9e;
  --text-color: #222;
  --background-color: #fafafa;
}

body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  background-color: var(--background-color);
  font-family: sans-serif;
  color: var(--text-color);

  text-wrap: pretty;
}

/* --- Typography --- */

h1 {
  font-size: 2rem;
  font-family: "Noto Serif CJK JP", "Hiragino Mincho ProN", "Yu Mincho", "Source Han Serif JP", serif;
  color: var(--text-color);
  margin-bottom: 20px;
  padding-bottom: 5px;
  border-bottom: 3px solid var(--tdu-color);
}

h2 {
  padding-left: 10px;
  margin-top: 20px;
  margin-bottom: 5px;
  border-left: 4px solid var(--tdu-color);
  font-family: sans-serif;
  color: var(--tdu-color);
}

h3 {
  font-size: 1.2rem;
  margin-top: 10px;
  margin-bottom: 5px;
  font-family: sans-serif;
  color: var(--text-color);
}

p {
  margin-top: 0;
  margin-bottom: 0.25em;
}

a {
  text-underline-offset: 0.2em;
}

ul,
ol {
  margin-top: 0;
  margin-bottom: 0.25em;

  li {
    margin-bottom: 0.25em;
  }
}

ul {
  padding-left: 1.5em;
}

ol {
  padding-left: 2em;
}

img {
  display: block;
  margin: auto;
  margin-block: 2em;

  max-width: 70%;
  height: auto;
}

figure {
  margin-block: 2em;

  img {
    margin-block: 0;
  }

  figcaption {
    text-align: center;
  }
}

main {
  flex: 1;
  max-width: 1200px;
  width: 80%;
  padding-top: 20px;

  font-size: 1.1rem;
  color: var(--text-color);

  >div {
    margin-bottom: 20px;
  }
}

footer {
  width: 80%;
  max-width: 1200px;
  padding-block: 0.7em;
  box-sizing: border-box;

  background-color: #efefef;
  color: var(--text-color);

  p {
    margin: 0;
    text-align: center;
  }
}

.back-link {
  display: inline-block;

  margin-bottom: 1em;

  font-size: 0.9rem;
  color: var(--text-color);
  text-decoration: none;

  &::before {
    content: "< ";
  }

  &:hover {
    text-decoration: underline;
  }
}

/* スマホ用のデザイン */
@media (max-width: 768px) {
  main {
    font-size: 1.0rem;
    width: 100%;
    padding: 10px;
  }

  footer {
    width: 100%;
    padding: 10px;
    font-size: 0.8rem;
  }

  h1 {
    font-size: 1.5rem;
  }

  h2 {
    font-size: 1.25rem;
  }

  img {
    max-width: 95%;
  }
}